For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
      • POSTCreates a webhook
      • DELDelete webhook
      • GETGet webhook
      • GETList webhooks
      • PATCHUpdate webhook
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewWebhooks

List webhooks

GET
/api/v2/webhooks
GET
/api/v2/webhooks
$curl https://app.launchdarkly.com/api/v2/webhooks \
> -H "Authorization: <apiKey>"
1{
2 "_links": {},
3 "items": [
4 {
5 "_links": {},
6 "_id": "57be1db38b75bf0772d11384",
7 "url": "http://www.example.com",
8 "on": true,
9 "tags": [
10 "examples"
11 ],
12 "name": "Example hook",
13 "secret": "frobozz",
14 "statements": [
15 {
16 "effect": "allow",
17 "resources": [
18 "proj/*:env/*;qa_*:/flag/*"
19 ],
20 "notResources": [
21 "string"
22 ],
23 "actions": [
24 "*"
25 ],
26 "notActions": [
27 "string"
28 ]
29 }
30 ],
31 "_access": {
32 "denied": [
33 {
34 "action": "string",
35 "reason": {
36 "effect": "allow",
37 "resources": [
38 "proj/*:env/*;qa_*:/flag/*"
39 ],
40 "notResources": [
41 "string"
42 ],
43 "actions": [
44 "*"
45 ],
46 "notActions": [
47 "string"
48 ],
49 "role_name": "string"
50 }
51 }
52 ],
53 "allowed": [
54 {
55 "action": "string",
56 "reason": {
57 "effect": "allow",
58 "resources": [
59 "proj/*:env/*;qa_*:/flag/*"
60 ],
61 "notResources": [
62 "string"
63 ],
64 "actions": [
65 "*"
66 ],
67 "notActions": [
68 "string"
69 ],
70 "role_name": "string"
71 }
72 }
73 ]
74 }
75 }
76 ]
77}
Fetch a list of all webhooks.
Was this page helpful?
Previous

Update webhook

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Response

Webhooks response
_linksmap from strings to objects
The location and content type of related resources
itemslist of objects
An array of webhooks

Errors

401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error